@import '../node_modules/bootstrap/scss/bootstrap.scss';

// CSS Reset 
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Fira Code', monospace;
  }

@import url('https://fonts.googleapis.com/css2?family=Fira+Code&display=swap');

// Light mode colors
// $primary-color: #007bff;
// $secondary-color: #6c757d;
// $text-color: #343a40;
// $background-color: #f8f9fa;

// Dark mode colors
$primary: #00ADB5;
$secondary: #393E46;
$text: #EEEEEE;
$background: #222831;

// Default to light mode
// $primary: $primary-color;
// $secondary: $secondary-color;
// $text: $text-color;
// $background: $background-color;

// // Dark mode
// [data-theme="dark"] {
//   $primary: $primary-color-dark;
//   $secondary: $secondary-color-dark;
//   $text: $text-color-dark;
//   $background: $background-color-dark;
// }

.nav-link .svg-inline--fa,
.nav-link span, .navbar-brand, .nav-link div{
  color: $text;
}

.nav-link.active .svg-inline--fa,
.nav-link.active span, .navbar-brand.active, .nav-link.active div {
  color: $primary;
}

body
{
    margin-top: 80px;
    margin-bottom: 80px;
    background-color: $background;
    color: $text;
}

.bg-light
{
  background-color: $secondary !important;
}

h1, .card-title
{
  color: $primary;
}

.educationCard
{
  font-size: calc(16px + (24 - 16) * ((100vw - 320px) / (1920 - 320)));
  color: inherit;
  text-decoration: none; 
  font-weight: bold;
 }